<template>
    <div>
        <Affichage :probleme="probleme" :isProfilProfesseur="true" />
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
import Axios from '@/auth/axiosAuth';
import Affichage from './AffichageLibertes.vue';
import ComptageLibertes from '@/classes/ComptageLibertes';

@Component({
    components: { Affichage }
})
export default class LireProblemeLibertes extends Vue {
    @Prop() id: number;

    private probleme: ComptageLibertes = null;

    beforeRouteEnter(to, from, next) {
        next(vm => {
            Axios.get('libertes/' + to.params.id, response => {
                const choixMultiple = new ComptageLibertes();
                choixMultiple.mapperJson(response.data);
                vm.probleme = choixMultiple;
            });
        });
    }
}
</script>
